View Issue Details

IDProjectCategoryView StatusLast Update
0008987ScribusStory Editor / Text Framespublic2019-08-07 12:31
Reporterpariahsoc Assigned To 
PrioritynormalSeveritytextReproducibilityalways
Status confirmedResolutionopen 
PlatformPCOSWindowsOS VersionXP and 7
Product Version1.3.3.14 
Target VersionFixed in Version 
Summary0008987: Word-wrapping CJK fonts malfunction
DescriptionHi I'm new to scribus, tried for only a few days. It is almost as good as any other commercial DTP software, but I find it a bit annoying that CJK support is not very well.

1. CJK input in text frames is not possible (related in 0013612)
2. when CJK text is pasted, fonts not supporting CJK characters is used by default, the program sometimes crash when editing such text frames (related to 0003173)
3. word wrapping would not work correctly with CJK paragraphs, treating the who thing as one word, especially when english words present in the paragraph
Steps To ReproduceJust open scribus and use CJK text.
Tags#pending, CJK, HOST-Oman, scribusctl
PatchNo

Relationships

related to 0003173 closed Japanese (CJK) text in story editor is not entered into text frame. Frequent crashes. 
related to 0012697 closedKunda CJK (Chinese, Japanese, Korean) text not processed. 
related to 0013612 confirmed No input method preedit when one inputs CJ text directly into a text frame 
related to 0008644 acknowledged Double line in one single line in CJK text 
child of 0003965 acknowledged Metabug: Support for non-latin languages 
child of 0003828 acknowledged Metabug: Hyphenation 

Activities

pariahsoc

2010-04-02 17:07

reporter  

wordwrap.png (79,376 bytes)
wordwrap.png (79,376 bytes)

Kunda

2016-01-23 21:46

manager   ~0038381

I think the only issue left here is word-wrapping.

Kunda

2016-01-23 22:06

manager   ~0038384

Could there be hyphenation issue here as well ?

user5122

2016-05-15 16:25

  ~0041089

This should be fixed in 1.5.x already, is there any possibility to get a test file?

Kunda

2016-05-15 19:01

manager   ~0041098

pariahsoc, ping

pariahsoc

2016-05-16 08:05

reporter  

pariahsoc

2016-05-16 08:09

reporter   ~0041127

Wow. It has been quite a few years since I gave up on scribus.

Yes, word-wrapping works in 1.5.1 on windows now. I still can't input CJK characters directly in the text box, but I see that there's another issue (0013612) for that. So this one should be closed?

Kunda

2016-05-16 19:03

manager   ~0041140

Hey pariahsoc, can you provide some good test files we can use to test the new Complex Text Layouts that will be merged in 1.5.3 ?

pariahsoc

2016-05-17 19:07

reporter   ~0041164

I am not sure whether I can help, I am just a casual user who happens to use Chinese.

What would make a good test file?

Kunda

2016-11-16 12:34

manager   ~0042434

@ftake can you some good word-wrapping use-cases to test CJK ?

ftake

2016-11-16 12:45

reporter   ~0042435

Basic word wrapping is now working.

For test data, see: https://github.com/HOST-Oman/scribus/issues/143

Issue History

Date Modified Username Field Change
2010-04-02 17:07 pariahsoc New Issue
2010-04-02 17:07 pariahsoc File Added: wordwrap.png
2014-09-17 15:58 Kunda Relationship added related to 0003173
2014-09-17 15:59 Kunda Relationship added related to 0012697
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames
2016-01-23 21:36 Kunda Relationship added related to 0013612
2016-01-23 21:46 Kunda Patch => No
2016-01-23 21:46 Kunda Note Added: 0038381
2016-01-23 21:46 Kunda Description Updated View Revisions
2016-01-23 21:48 Kunda Summary some features not working with CJK fonts => Word-wrapping CJK fonts malfunction
2016-01-23 21:48 Kunda Relationship added child of 0003965
2016-01-23 21:55 Kunda Relationship added related to 0008644
2016-01-23 22:05 Kunda Relationship added related to 0003828
2016-01-23 22:05 Kunda Relationship replaced child of 0003828
2016-01-23 22:06 Kunda Note Added: 0038384
2016-03-22 23:39 Kunda Tag Attached: CJK
2016-03-30 20:05 Kunda Tag Attached: scribusctl
2016-03-30 20:05 Kunda Tag Attached: HOST-Oman
2016-05-15 16:25 user5122 Note Added: 0041089
2016-05-15 19:01 Kunda Note Added: 0041098
2016-05-16 08:05 pariahsoc File Added: Screenshot 2016-05-16 16.04.18.png
2016-05-16 08:09 pariahsoc Note Added: 0041127
2016-05-16 19:03 Kunda Note Added: 0041140
2016-05-16 19:03 Kunda Tag Attached: #pending
2016-05-17 19:07 pariahsoc Note Added: 0041164
2016-11-16 12:34 Kunda Note Added: 0042434
2016-11-16 12:45 ftake Note Added: 0042435
2016-11-17 11:48 Kunda Status new => confirmed